package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.Burning;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.flowing.FlowingData;
import cz.jzitnik.game.sprites.Water;


@Burning
@BlockRegistry(value = "lava", drops = "lava_bucket")
public class LavaBlock extends Block {
    public LavaBlock() {
        super("lava", SpriteLoader.SPRITES.LAVA);
        setMineable(false);
        setSpriteState(Water.WaterState.FIRST);
        setData(new FlowingData());
        setFlowing(true);
        setGhost(true);
    }
}
